Bug 129407 - USB Flash devices should be mounted noatime
Summary: USB Flash devices should be mounted noatime
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-08 07:09 UTC by Paul Cassell
Modified: 2014-03-17 02:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 18:10:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Cassell 2004-08-08 07:09:23 UTC
Description of problem:
I might be mistaken, but I think the usb thumb/flash drives should be
mounted noatime by default to cut down on writes so that the life of
the flash device isn't cut short.  I know that they come formatted to
vfat by default, but mounting with the atime option still causes the
files timestamp field to be updated.

Currently with kudzu and hotplug, usb flash drives are mounted with
these options.

noauto,owner,kudzu 0 0

Version-Release number of selected component (if applicable):
kudzu-1.1.62-1 

How reproducible:
Always

Steps to Reproduce:
1.Plug in USB Flash drive
2.
3.
    

Additional info:

Comment 1 Bill Nottingham 2004-08-10 16:21:16 UTC
Cc'ing the implementor of updfstab replacement, for his future use as
well.

Comment 2 John (J5) Palmieri 2004-08-10 18:06:15 UTC
cc'ing the real implementor of the updfstab replacement ;-)  This
should be trivial to add to fstab-sync.

Comment 3 Matthew Miller 2005-04-26 16:23:35 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 4 Bill Nottingham 2005-04-26 18:10:02 UTC
This is now handled by HAL and fstab-sync in later releases. As such, updfstab
is unlikely to be modified.


Note You need to log in before you can comment on or make changes to this bug.